#region Copyright Syncfusion Inc. 2001 - 2014
// Copyright Syncfusion Inc. 2001 - 2014. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion

using System.Windows;
using System.Windows.Data;
using System.Windows.Media;
using Syncfusion.UI.Xaml.Grid.Helpers;
using Syncfusion.UI.Xaml.Grid;

namespace MasterDetailsViewDemo
{
    public partial class MainWindow
    {
        public MainWindow()
        {
            InitializeComponent();
            this.dataGrid.SelectionChanged += dataGrid_SelectionChanged;
        }

       

        void dataGrid_SelectionChanged(object sender, Syncfusion.UI.Xaml.Grid.GridSelectionChangedEventArgs e)
        {
            if (e.RemovedItems.Count > 0)
            {
                var rowIndex = (e.RemovedItems[0] as GridRowInfo).RowIndex;
                var detailsViewDataGrid = this.dataGrid.GetDetailsViewGrid(this.dataGrid.ResolveToRecordIndex(rowIndex), "OrderDetails");
                if (detailsViewDataGrid == null)
                    return;
                detailsViewDataGrid.Background = Brushes.WhiteSmoke;
            }
            if (e.AddedItems.Count > 0)
            {
                var rowIndex = (e.AddedItems[0] as GridRowInfo).RowIndex;
                var detailsViewDataGrid = this.dataGrid.GetDetailsViewGrid(this.dataGrid.ResolveToRecordIndex(rowIndex), "OrderDetails");
                if (detailsViewDataGrid == null)
                    return;
                detailsViewDataGrid.Background = Brushes.White;
            }
       }
    }

    public class BGConverter : IValueConverter
    {

        public object Convert(object value, System.Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return "DarkGray";
        }

        public object ConvertBack(object value, System.Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return null;
        }
    }
}
